Sympa::Spindle::ProcessAuth(3Sympa)

NAME
Sympa::Spindle::ProcessAuth - Workflow of request confirmation

SYNOPSIS
  use Sympa::Spindle::ProcessAuth;

  my $spindle = Sympa::Spindle::ProcessAuth->new(
      confirmed_by => $email, context => $robot, keyauth => $key,
      scenario_context => {sender => $sender});
  $spindle->spin;

DESCRIPTION
Sympa::Spindle::ProcessAuth defines workflow for confirmation of held requests.

When spin() method is invoked, it reads a request in held request spool, authorizes and dispatch it or remove it if possible. Either authorization and dispatching failed or not, spin() will terminate processing. Failed request will be kept in spool and wait for confirmation again.

  Public methods
See also "Public methods" in Sympa::Spindle.

new ( confirmed_by => $email | canceled_by => $email, context => $context, keyauth => $key, [ quiet => 1 ], scenario_context => {context...} )
spin ( )
    new() must take following options:

    confirmed_by => $email | canceled_by => $email
        E-mail address of the user who confirmed or canceled the request. Confirming address is given by AUTH command and used by Sympa::Spindle::AuthorizeRequest to execute scenario.

        N.B. The key is spelled "cenceled_by", not "cancelled_by".

    context => $context
    keyauth => $key
        Context (List or Robot) and authorization key to specify the request in spool.

    quiet => 1
        If this option is set, automatic replies reporting result of processing to the user (see "confirmed_by") will not be sent.

    scenario_context => {context...}
        Authorization context given to scenario.

  Properties
See also "Properties" in Sympa::Spindle.

{distaff}
    Instance of Sympa::Spool::Auth class.

{finish}
    'success' is set if processing succeeded. 'failure' is set if processing failed.

SEE ALSO
Sympa::Request, Sympa::Spindle, Sympa::Spindle::AuthorizeRequest, Sympa::Spool::Auth.

HISTORY
Sympa::Spindle::ProcessAuth appeared on Sympa 6.2.15.

"canceled_by" option was added on Sympa 6.2.19b.